%define upstream_name    String-Scanf
%define upstream_version 2.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Implementation of C sscanf function
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
String::Scanf supports scanning strings for data using formats similar to
the libc/stdio sscanf().

The supported sscanf() formats are as follows:

* %d

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Nov 26 2011 kharec <kharec> 2.100.0-1.mga2
+ Revision: 172345
- imported package perl-String-Scanf


* Sat Nov 26 2011 cpan2dist 2.1-1mga
- initial mageia release, generated with cpan2dist
